commit:     9438413cb1783032ceb1700fd14f012c59fe8cbc
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 10 17:46:38 2023 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Mon Apr 10 18:37:11 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9438413c

dev-lua/readline: add 3.3

Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 dev-lua/readline/Manifest            |  1 +
 dev-lua/readline/readline-3.3.ebuild | 94 ++++++++++++++++++++++++++++++++++++
 2 files changed, 95 insertions(+)

diff --git a/dev-lua/readline/Manifest b/dev-lua/readline/Manifest
index d990d6c6983f..291d12ac1d95 100644
--- a/dev-lua/readline/Manifest
+++ b/dev-lua/readline/Manifest
@@ -1 +1,2 @@
 DIST lua-readline-3.2.tar.gz 16215 BLAKE2B 
889db8cfefc37008fac9f92b6ef071147763d00f01ca42b31646594e812ab936187e65e8959e723be409d21c3e3cc2d93fe52eafac79e37b7d0cec2216d8accf
 SHA512 
d605b99f2fa06920e67125b462f257f8cd263912b6ffba173bee77425c77f6b08b463ec4c0851c81dfc23e736698c9fbbb40e8a935cada2329b6a8e02a6cdaad
+DIST lua-readline-3.3.tar.gz 16370 BLAKE2B 
59def7310545f6b8db31ad85891e2132b1031d9766874576dc8f24570840dc337ac234803902054a50e144d3704973ab5974d4d57dc18e574ddf790f5fd788c7
 SHA512 
a64fb71302c18a8733ac3548da53616532834e07d557bdcd6926d9793ba615b074b74890b18626ac7f5fd75a90f4ad4155e0788daffd9f8f1bb3e5d3931347ce

diff --git a/dev-lua/readline/readline-3.3.ebuild 
b/dev-lua/readline/readline-3.3.ebuild
new file mode 100644
index 000000000000..98c541a77eeb
--- /dev/null
+++ b/dev-lua/readline/readline-3.3.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-{1..4} luajit )
+
+inherit lua toolchain-funcs
+
+DESCRIPTION="A simple interface to the readline and history libraries"
+HOMEPAGE="https://pjb.com.au/comp/lua/readline.html";
+SRC_URI="https://pjb.com.au/comp/lua/${P}.tar.gz -> lua-${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+
+# Tests are interactive
+RESTRICT="test"
+
+RDEPEND="
+       dev-lua/luaposix
+       sys-libs/readline:=
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+       default
+
+       lua_copy_sources
+}
+
+lua_src_compile() {
+       pushd "${BUILD_DIR}" || die
+
+       local compiler=(
+               "$(tc-getCC)"
+               "${CFLAGS}"
+               "-fPIC"
+               "$(lua_get_CFLAGS)"
+               "-c C-readline.c"
+               "-o C-readline.o"
+       )
+       einfo "${compiler[@]}"
+       ${compiler[@]} || die
+
+       local linker=(
+               "$(tc-getCC)"
+               "-shared"
+               "${LDFLAGS}"
+               "$($(tc-getPKG_CONFIG) --libs readline)"
+               "-o C-readline.so"
+               "C-readline.o"
+       )
+       einfo "${linker[@]}"
+       ${linker[@]} || die
+
+       popd
+}
+
+src_compile() {
+       lua_foreach_impl lua_src_compile
+}
+
+lua_src_test() {
+       pushd "${BUILD_DIR}" || die
+       LUA_CPATH="./?.so;${ESYSROOT}/usr/$(get_libdir)/lua/$(ver_cut 1-2 
$(lua_get_version))/?.so" ${ELUA} test/test_rl.lua || die
+       popd || die
+}
+
+src_test() {
+       lua_foreach_impl lua_src_test
+}
+
+lua_src_install() {
+       pushd "${BUILD_DIR}" || die
+
+       insinto "$(lua_get_cmod_dir)"
+       doins C-readline.so
+
+       insinto "$(lua_get_lmod_dir)"
+       doins readline.lua
+
+       popd || die
+}
+
+src_install() {
+       lua_foreach_impl lua_src_install
+
+       docinto html
+       dodoc doc/readline.html
+}

Reply via email to